package ru.dbotthepony.kstarbound.defs.image

data class UVCoordinates(
	override val u0: Float,
	override val v0: Float,
	override val u1: Float,
	override val v1: Float,
) : IUVCoordinates {
	companion object {
		val FULL = UVCoordinates(0f, 0f, 1f, 1f)
		val FULL_OPENGL = UVCoordinates(0f, 1f, 1f, 0f)
	}
}
